Debian Bug report logs - #586871
partman-basicfilesystems: please include Hurd support

version graph

Package: partman-basicfilesystems; Maintainer for partman-basicfilesystems is Debian Install System Team <debian-boot@lists.debian.org>; Source for partman-basicfilesystems is src:partman-basicfilesystems.

Reported by: Jeremie Koenig <jk@jk.fr.eu.org>

Date: Wed, 23 Jun 2010 05:15:01 UTC

Severity: normal

Tags: patch

Found in version partman-basicfilesystems/63

Fixed in version partman-basicfilesystems/65

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#586871; Package partman-basicfilesystems. (Wed, 23 Jun 2010 05:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremie Koenig <jk@jk.fr.eu.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 23 Jun 2010 05:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeremie Koenig <jk@jk.fr.eu.org>
To: submit@bugs.debian.org
Subject: partman-basicfilesystems: please include Hurd support
Date: Wed, 23 Jun 2010 07:10:15 +0200
[Message part 1 (text/plain, inline)]
Package: partman-basicfilesystems
Version: 63
Severity: normal
Usertags: gsoc2010
Tags: patch

Hello,

partman-basicfilesystems needs a few special cases to work properly
on Hurd, namely:
  - no kernel modules are needed for ext2 and vfat;
  - only 4k blocks, 128 bytes inodes are supported by ext2fs;
  - the "errors=remount-ro" option is not supported.

See the attached patch.

Thanks,
-- 
Jeremie Koenig <jk@jk.fr.eu.org>
http://jk.fr.eu.org
[partman-basicfilesystems-hurd-support.patch (text/x-diff, attachment)]

Information stored :
Bug#586871; Package partman-basicfilesystems. (Thu, 22 Jul 2010 17:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremie Koenig <jk@jk.fr.eu.org>:
Extra info received and filed, but not forwarded. (Thu, 22 Jul 2010 17:30:05 GMT) Full text and rfc822 format available.

Message #10 received at 586871-quiet@bugs.debian.org (full text, mbox):

From: Jeremie Koenig <jk@jk.fr.eu.org>
To: 586871-quiet@bugs.debian.org
Subject: Re: partman-basicfilesystems: please include Hurd support
Date: Thu, 22 Jul 2010 19:21:58 +0200
[Message part 1 (text/plain, inline)]
On Wed, Jun 23, 2010 at 07:10:15AM +0200, Jeremie Koenig wrote:
> partman-basicfilesystems needs a few special cases to work properly
> on Hurd, namely: (...)

Patch with updated changelog entry attached.

-- 
Jeremie Koenig <jk@jk.fr.eu.org>
http://jk.fr.eu.org
[partman-basicfilesystems-hurd-support-2.patch (text/x-diff, attachment)]

Added tag(s) pending. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Sun, 01 Aug 2010 14:57:03 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Wed, 18 Aug 2010 14:51:06 GMT) Full text and rfc822 format available.

Notification sent to Jeremie Koenig <jk@jk.fr.eu.org>:
Bug acknowledged by developer. (Wed, 18 Aug 2010 14:51:07 GMT) Full text and rfc822 format available.

Message #17 received at 586871-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 586871-close@bugs.debian.org
Subject: Bug#586871: fixed in partman-basicfilesystems 65
Date: Wed, 18 Aug 2010 14:47:16 +0000
Source: partman-basicfilesystems
Source-Version: 65

We believe that the bug you reported is fixed in the latest version of
partman-basicfilesystems, which is due to be installed in the Debian FTP archive:

partman-basicfilesystems_65.dsc
  to main/p/partman-basicfilesystems/partman-basicfilesystems_65.dsc
partman-basicfilesystems_65.tar.gz
  to main/p/partman-basicfilesystems/partman-basicfilesystems_65.tar.gz
partman-basicfilesystems_65_all.udeb
  to main/p/partman-basicfilesystems/partman-basicfilesystems_65_all.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 586871@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated partman-basicfilesystems package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 Aug 2010 15:56:17 +0200
Source: partman-basicfilesystems
Binary: partman-basicfilesystems
Architecture: source all
Version: 65
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 partman-basicfilesystems - Add to partman support for ext2, linux-swap, fat16 and fat32 (udeb)
Closes: 586871
Changes: 
 partman-basicfilesystems (65) unstable; urgency=low
 .
   [ Colin Watson ]
   * Use 'dh $@ --options' rather than 'dh --options $@', for
     forward-compatibility with debhelper v8.
 .
   [ Jeremie Koenig ]
   * Hurd support (closes: Bug#586871):
     - disable errors=remount-ro, which is not supported;
     - force 4k blocks and 128 bytes inodes on mkfs.ext2;
     - mark ext2 and vfat as available and skip tests for kernel modules.
 .
   [ Aurelien Jarno ]
   * Add a way to override mountoptions depending on the OS.
   * GNU/kFreeBSD support:
     - Add support for module loading and detection.
     - Add kfreebsd specific mount options.
     - Add code to mount and write fstab.
 .
   [ Updated translations ]
   * Asturian (ast.po) by maacub
   * Bulgarian (bg.po) by Damyan Ivanov
   * Bosnian (bs.po) by Armin Beširović
   * Danish (da.po) by Jacob Sparre Andersen
   * Persian (fa.po) by Ebrahim Byagowi
   * Finnish (fi.po) by Esko Arajärvi
   * Panjabi (pa.po) by A S Alam
   * Telugu (te.po) by Arjuna Rao Chavala
Checksums-Sha1: 
 e5e0d9011e2a75c6391040de32f7470dd11bd88e 960 partman-basicfilesystems_65.dsc
 a77c7eecc6c0055029c95ce846cc79209e012487 173434 partman-basicfilesystems_65.tar.gz
 754f372703bfcb13bdc30d47373562c50a510fd0 140852 partman-basicfilesystems_65_all.udeb
Checksums-Sha256: 
 721cdd20cb126e717f575c8627b644eed37cd4e3508458f6dcb5bd9d928602ba 960 partman-basicfilesystems_65.dsc
 19ca83361b258e4920b9ad30216e1e3e285d38eedf0d9866cf921823e42bf7fe 173434 partman-basicfilesystems_65.tar.gz
 a5ba73611814da57b0163346260a85119978bd0b9235c47ad973720666bc48bb 140852 partman-basicfilesystems_65_all.udeb
Files: 
 c92f1eb63a4957aa319d13a9475e5ca9 960 debian-installer standard partman-basicfilesystems_65.dsc
 807c99427487c82df72a977a552a02c7 173434 debian-installer standard partman-basicfilesystems_65.tar.gz
 eadb17025c500cac755b52315c2fd7d0 140852 debian-installer standard partman-basicfilesystems_65_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMa+blw3ao2vG823MRAhNhAJ4t7cfKk5cPBaQdS6DpE0pjW1AffACeJYdH
3tygvzwIT5TPsYkqimj81UU=
=sBqh
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 16 Sep 2010 07:36:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:33:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.